#!/bin/sh

if [[ $(/usr/bin/id -u) -ne 0 ]]; then
	printf " [ * ] Installation Script must be run as root.\n"
	exit 0
fi

# Create directories
	mkdir /etc/glacier
	mkdir /etc/glacier/pkginfo
	mkdir /var/log/glacier
	mkdir /var/cache/glacier

# Install Scripts
	cd ../src
	chmod +x *
	cp glacier /usr/bin
	cp glacier.conf /etc
	cp glacier_release /etc/glacier
	cp gscripts /usr/bin
	cp messages /etc/glacier
	cp hooks /etc/glacier

printf "done\n"
